Debian Bug report logs - #629444
kfreebsd-kernel-headers: <sys/sbuf.h> unusable

version graph

Package: kfreebsd-kernel-headers; Maintainer for kfreebsd-kernel-headers is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for kfreebsd-kernel-headers is src:kfreebsd-kernel-headers.

Reported by: Aurelien Jarno <aurel32@debian.org>

Date: Mon, 6 Jun 2011 19:00:05 UTC

Severity: serious

Found in version kfreebsd-kernel-headers/0.54

Fixed in version kfreebsd-kernel-headers/0.55

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#629444; Package kfreebsd-kernel-headers. (Mon, 06 Jun 2011 19:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurel32@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 06 Jun 2011 19:00:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kfreebsd-kernel-headers: <sys/sbuf.h> unusable
Date: Mon, 06 Jun 2011 20:57:15 +0200
Package: kfreebsd-kernel-headers
Version: 0.54
Severity: serious

Since version 0.54 <sys/sbuf.h> is not usable anymore, trying to 
compiling it report errors like this one:

| /usr/include/sys/sbuf.h: In function 'sbuf_printf':
| /usr/include/sys/sbuf.h:68:2: error: expected declaration specifiers before '__printflike'
| /usr/include/sys/sbuf.h:70:2: error: expected '=', ',', ';', 'asm' or '__attribute__' before '__printflike'
| /usr/include/sys/sbuf.h:67:7: error: old-style parameter declarations in prototyped function definition
| /usr/include/sys/sbuf.h:67:26: error: parameter name omitted
| /usr/include/sys/sbuf.h:67:26: error: parameter name omitted

This break among other things the compilation of kfreebsd-8.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.2-1-amd64
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#629444; Package kfreebsd-kernel-headers. (Mon, 06 Jun 2011 19:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 06 Jun 2011 19:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 629444@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Aurelien Jarno <aurel32@debian.org>, 629444@bugs.debian.org
Subject: Re: Bug#629444: kfreebsd-kernel-headers: <sys/sbuf.h> unusable
Date: Mon, 6 Jun 2011 21:16:53 +0200
Hi!

On Mon, 2011-06-06 at 20:57:15 +0200, Aurelien Jarno wrote:
> Package: kfreebsd-kernel-headers
> Version: 0.54
> Severity: serious
> 
> Since version 0.54 <sys/sbuf.h> is not usable anymore, trying to 
> compiling it report errors like this one:
> 
> | /usr/include/sys/sbuf.h: In function 'sbuf_printf':
> | /usr/include/sys/sbuf.h:68:2: error: expected declaration specifiers before '__printflike'
> | /usr/include/sys/sbuf.h:70:2: error: expected '=', ',', ';', 'asm' or '__attribute__' before '__printflike'
> | /usr/include/sys/sbuf.h:67:7: error: old-style parameter declarations in prototyped function definition
> | /usr/include/sys/sbuf.h:67:26: error: parameter name omitted
> | /usr/include/sys/sbuf.h:67:26: error: parameter name omitted
> 
> This break among other things the compilation of kfreebsd-8.

Hmm, was not supposed to be used anylonfer as libsbuf-dev is replacing
it now, but then I didn't upload that yet. Anyway will upload a fixed
k-k-h today, and freebsd-libs. Sorry for that!

regards,
guillem




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Tue, 07 Jun 2011 06:06:06 GMT) Full text and rfc822 format available.

Notification sent to Aurelien Jarno <aurel32@debian.org>:
Bug acknowledged by developer. (Tue, 07 Jun 2011 06:06:06 GMT) Full text and rfc822 format available.

Message #15 received at 629444-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 629444-close@bugs.debian.org
Subject: Bug#629444: fixed in kfreebsd-kernel-headers 0.55
Date: Tue, 07 Jun 2011 06:03:12 +0000
Source: kfreebsd-kernel-headers
Source-Version: 0.55

We believe that the bug you reported is fixed in the latest version of
kfreebsd-kernel-headers, which is due to be installed in the Debian FTP archive:

kfreebsd-kernel-headers_0.55.dsc
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.55.dsc
kfreebsd-kernel-headers_0.55.tar.gz
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.55.tar.gz
kfreebsd-kernel-headers_0.55_kfreebsd-amd64.deb
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.55_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 629444@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated kfreebsd-kernel-headers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 07 Jun 2011 07:32:13 +0200
Source: kfreebsd-kernel-headers
Binary: kfreebsd-kernel-headers
Architecture: source kfreebsd-amd64
Version: 0.55
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 kfreebsd-kernel-headers - kernel of FreeBSD headers for development
Closes: 629211 629444
Changes: 
 kfreebsd-kernel-headers (0.55) unstable; urgency=low
 .
   * Swap build-arch and build-indep; install-arch and install-indep targets.
   * Use double underscore protected internal types in <sys/ucred.h> so that
     glibc can access them w/o needing to define _BSD_SOURCE. Closes: #629211
   * Make <sys/sbuf.h> usable while libsbuf-dev does not yet provides its own
     version. Closes: #629444
Checksums-Sha1: 
 149d923dcde2d9e3d8b9ad5225271dfe08210c16 1106 kfreebsd-kernel-headers_0.55.dsc
 0d5e97dfea1747488555468aadedf70f030faa57 39705 kfreebsd-kernel-headers_0.55.tar.gz
 b39d7691dd9c439bd0e791f26b9cde8932862a00 4035474 kfreebsd-kernel-headers_0.55_kfreebsd-amd64.deb
Checksums-Sha256: 
 282eeda3b944c885a37bcec6c65399145a21ecc4c52184f4fcc80c236fbf0c5f 1106 kfreebsd-kernel-headers_0.55.dsc
 bc065f0cc24c1020d7b08abce16d48e06078284203fd5e3d7243f76e30231135 39705 kfreebsd-kernel-headers_0.55.tar.gz
 81f032acd2e0608e08507f3a0e0e5163df30cfb464433887f56b016485bf7a79 4035474 kfreebsd-kernel-headers_0.55_kfreebsd-amd64.deb
Files: 
 f7f53248307494eb20e303e68a30e536 1106 kernel standard kfreebsd-kernel-headers_0.55.dsc
 2535443ee5810acf5383c9aaad76aa99 39705 kernel standard kfreebsd-kernel-headers_0.55.tar.gz
 9edb439054c255d724d369bc4a0ab1ce 4035474 kernel standard kfreebsd-kernel-headers_0.55_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3tub0ACgkQuW9ciZ2SjJtNFACg9pGwvdb2bN64tYyesbaBINwt
ZpIAnigtfaFvTYqX0983KFfBAasjf7U4
=LYAO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Jul 2011 07:37:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:09:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.